# A description of what this class does
#
# @summary A short summary of the purpose of this class
#
# @example
#   include openldap::server::service
class openldap::server::service {
  # Ensure the main server class has been defined
  if !defined(Class['openldap::server']) {
    fail 'Class openldap::server not defined'
  }

  service { $openldap::server::server_service:
    ensure    => running,
    enable    => true,
    hasstatus => true,
  }
}
