require 'spec_helper'

describe 'openldap::server::config' do
  on_supported_os.each do |os, os_facts|
    context "on #{os}" do
      let(:facts) { os_facts }
      let(:pre_condition) { "class {'openldap::server':}" }

      it { is_expected.to compile.with_all_deps }
    end
  end
end
