require 'spec_helper'

describe 'openldap::utils' do
  on_supported_os.each do |os, os_facts|
    context "on #{os}" do
      let(:facts) { os_facts }

      it { is_expected.to compile.with_all_deps }

      case os_facts[:osfamily]
      when 'Debian'
        it do
          is_expected.to contain_package('ldap-utils').with_ensure('installed')
        end
      end
    end
  end
end
